Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.hornetq
Class BaseHornetQTaskServer

    java.lang.Object
      org.jbpm.task.service.TaskServer
          org.jbpm.task.service.hornetq.BaseHornetQTaskServer

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  HornetQTaskServer

    public abstract class BaseHornetQTaskServer

extends TaskServer

Field Summary
`static String` | `SERVER_TASK_COMMANDS_QUEUE`

Constructor Summary
`BaseHornetQTaskServer(HornetQTaskServerHandler handler, int port, boolean standalone)`
`BaseHornetQTaskServer(HornetQTaskServerHandler handler, int port, org.hornetq.core.config.Configuration configuration, boolean standalone)`
`BaseHornetQTaskServer(HornetQTaskServerHandler handler, String host, int port, boolean standalone)`
`BaseHornetQTaskServer(HornetQTaskServerHandler handler, String host, int port, org.hornetq.core.config.Configuration configuration, boolean standalone)`

Method Summary
`boolean` | `isRunning()`
`void` | `run()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jbpm.task.service.TaskServer
`addEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_TASK_COMMANDS_QUEUE

    public static final String SERVER_TASK_COMMANDS_QUEUE

See Also:
  Constant Field Values

Constructor Detail

### BaseHornetQTaskServer

    public BaseHornetQTaskServer(HornetQTaskServerHandler handler,
                                 int port,
                                 boolean standalone)

### BaseHornetQTaskServer

    public BaseHornetQTaskServer(HornetQTaskServerHandler handler,
                                 String host,
                                 int port,
                                 boolean standalone)

### BaseHornetQTaskServer

    public BaseHornetQTaskServer(HornetQTaskServerHandler handler,
                                 int port,
                                 org.hornetq.core.config.Configuration configuration,
                                 boolean standalone)

### BaseHornetQTaskServer

    public BaseHornetQTaskServer(HornetQTaskServerHandler handler,
                                 String host,
                                 int port,
                                 org.hornetq.core.config.Configuration configuration,
                                 boolean standalone)

Method Detail

### run

    public void run()

### start

    public void start()
               throws Exception

  Specified by:
    `start` in class `TaskServer`
  Throws:
    `Exception`

### stop

    public void stop()
              throws Exception

  Specified by:
    `stop` in class `TaskServer`
  Throws:
    `Exception`

### isRunning

    public boolean isRunning()

  Specified by:
    `isRunning` in class `TaskServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.